> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Redirect By Id

> The "Update Redirect By Id" API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.



## OpenAPI

````yaml /api-reference/funnels/openapi.json patch /funnels/lookup/redirect/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/lookup/redirect/{id}:
    patch:
      summary: Update Redirect By Id
      description: >-
        The "Update Redirect By Id" API Allows updating an existing URL redirect
        in the system. Use this endpoint to modify a URL redirect with the
        specified ID using details provided in the request payload.
      operationId: update-redirect-by-id
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRedirectParams'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateRedirectResponseDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - funnels/redirect.write
components:
  schemas:
    UpdateRedirectParams:
      type: object
      properties:
        target:
          type: string
          example: https://www.google.com
        action:
          type: string
          example: URL
          enum:
            - funnel
            - website
            - webinar
            - url
            - all
        locationId:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
      required:
        - target
        - action
        - locationId
    UpdateRedirectResponseDTO:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RedirectResponseDTO'
      required:
        - data
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    RedirectResponseDTO:
      type: object
      properties:
        id:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
          description: Unique identifier of the redirect
        locationId:
          type: string
          example: 6p2RxpgtMKQwO3E6IUaT
          description: Identifier of the location associated with the redirect
        domain:
          type: string
          example: www.example.com
          description: Domain where the redirect occurs
        path:
          type: string
          example: /old-path
          description: Original path that will be redirected
        pathLowercase:
          type: string
          example: /old-path
          description: Lowercase version of the original path
        type:
          type: string
          example: Permanent
          description: Type of redirect (e.g., Permanent, Temporary)
        target:
          type: string
          example: https://www.example.com/new-path
          description: Target URL to which the original path will be redirected
        action:
          type: string
          example: url
          description: Action performed by the redirect
      required:
        - id
        - locationId
        - domain
        - path
        - pathLowercase
        - type
        - target
        - action

````